# Uses of Class
org.apache.sling.feature.extension.apiregions.api.artifacts.ArtifactRules

Packages that use ArtifactRules
Package
Description
org.apache.sling.feature.extension.apiregions.api.artifacts

## Uses of ArtifactRules in org.apache.sling.feature.extension.apiregions.api.artifacts

Methods in org.apache.sling.feature.extension.apiregions.api.artifacts that return ArtifactRules
Modifier and Type
Method
Description
`static ArtifactRules`
ArtifactRules.`getArtifactRules(org.apache.sling.feature.Extension ext)`
Get the artifact rules from the extension - if it exists.
`static ArtifactRules`
ArtifactRules.`getArtifactRules(org.apache.sling.feature.Feature feature)`
Get the artifact rules from the feature - if it exists.
Methods in org.apache.sling.feature.extension.apiregions.api.artifacts with parameters of type ArtifactRules
Modifier and Type
Method
Description
`static void`
ArtifactRules.`setArtifactRules(org.apache.sling.feature.Feature feature, ArtifactRules rules)`
Set the rules as an extension to the feature